<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Material](./bitburner.material.md) &gt; [productionLimit](./bitburner.material.productionlimit.md)

## Material.productionLimit property

A limit on the maximum amount to produce per second

**Signature:**

```typescript
productionLimit: number | null;
```
